module DLTokens where

data Token = 
      TInt
    | TBool 
    | LBrace 
    | RBrace 
    | LBrack 
    | RBrack 
    | LPar 
    | RPar 
    | DLIf 
    | DLThen 
    | DLElse 
    | DLWhile 
    | DLDo
    | DLEnd
    | Print 
    | Assign 
    | DLAnd 
    | DLEq 
    | DLLt 
    | DLPlus 
    | DLMinus 
    | DLTimes 
    | CTrue 
    | CFalse 
    | Comma 
    | Semicol 
    | IVal Int
    | Id String 
 deriving (Eq,Read,Show)
